#ifndef _LLIST_H

#define _LLIST_H 1

typedef struct LinkedList {
  char *s;
  struct LinkedList *next;
} LinkedList;

void freell(LinkedList *list);
LinkedList *createll(char *s);
LinkedList *copyLinkedList(LinkedList *src);
LinkedList *pushll(LinkedList *list,char *s);
LinkedList *popll(LinkedList *list);
void printll(LinkedList *list);
int numEntriesll(LinkedList *list);
char **ll_to_charpp(LinkedList *list);
char *ll_to_charp(LinkedList *list);
int searchll(LinkedList *list, char *s);
char *getValuell(LinkedList *list);
LinkedList *getNextll(LinkedList *list);
LinkedList *newll(void);

#endif
