/* builtins.h -- builtins header */

/* Copyright (C) 2003 Mike Thielman 
 *
 * This file is part of pr0nsh, the Porn Shell.
 *
 * Pr0nsh is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2, or (at your option) any later
 * version.
 *
 * Pr0nsh is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Pr0nsh; see the file COPYING.  If not, write to the Free Software
 * Foundation, 59 Temple Place, Suite 330, Boston, MA 02111 USA. */

#ifndef _BUILTINS_H

#define _BUILTINS_H 1

#include "util/llist.h"

int _builtin_alias(LinkedList *list);
int _builtin_bg(LinkedList *list);
int _builtin_builtins(LinkedList *list);
int _builtin_cwd(LinkedList *list);
int _builtin_echo(LinkedList *list);
int _builtin_exit(LinkedList *list);
int _builtin_export(LinkedList *list);
int _builtin_fg(LinkedList *list);
int _builtin_history(LinkedList *list);
int _builtin_jobs(LinkedList *list);
int _builtin_pwd(LinkedList *list);
int _builtin_vars(LinkedList *list);
int _builtin_which(LinkedList *list);
int _builtin_source(LinkedList *list);

#endif
